package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public interface IFeishuConfig extends ISHRBaseItem
{
    public FeishuConfigInfo getFeishuConfigInfo(IObjectPK pk) throws BOSException, EASBizException;
    public FeishuConfigInfo getFeishuConfigInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public FeishuConfigInfo getFeishuConfigInfo(String oql) throws BOSException, EASBizException;
    public FeishuConfigCollection getFeishuConfigCollection() throws BOSException;
    public FeishuConfigCollection getFeishuConfigCollection(EntityViewInfo view) throws BOSException;
    public FeishuConfigCollection getFeishuConfigCollection(String oql) throws BOSException;
    public void setDefaultConfig(String billId) throws BOSException, EASBizException;
    public FeishuConfigCollection getDefaultConfigs() throws BOSException, EASBizException;
}